$include-html-classes: false;
$include-html-global-classes: true;

$include-html-accordion-classes: true;
$include-html-top-bar-classes: true;
$include-html-nav-classes: true;
$include-html-button-classes: true;
$include-html-form-classes: true;
$include-html-type-classes: true;
$include-pagination-classes: true;
$include-html-tabs-classes: true;
$include-html-visibility-classes: true;

$primary-color: #2F8432;
$secondary-color: #ff7a00;

$row-width: rem-calc(1200);
//$row-width: rem-calc(640) !default;

// Here we define the breakpoints which will become the upper border for each media size.
// The function em-calc() calculates the em-value from a px-value.
$xsmall-breakpoint:  em-calc(480)  !default;
$small-breakpoint:  em-calc(640)  !default;
$medium-breakpoint: em-calc(1024) !default;
$large-breakpoint:  em-calc(1440) !default;
$xlarge-breakpoint: em-calc(1920) !default;

// Here we define the lower and upper bounds for each media size
$xsmall-range:   (0, $xsmall-breakpoint) !default; /* 0, 480px */
$small-range:  ($xsmall-breakpoint  + em-calc(1), $small-breakpoint) !default; /* 641px, 1024px */
$medium-range:  ($small-breakpoint  + em-calc(1), $medium-breakpoint) !default; /* 641px, 1024px */

$large-range:   ($medium-breakpoint + em-calc(1), $large-breakpoint)  !default; /* 1025px, 1440px */
$xlarge-range:  ($large-breakpoint  + em-calc(1), $xlarge-breakpoint) !default; /* 1441px, 1920px */
$xxlarge-range: ($xlarge-breakpoint + em-calc(1), em-calc(99999999)) !default; /* 1921px, ... */

// Media Queries
$screen: "only screen" !default;

$landscape: "#{$screen} and (orientation: landscape)" !default;
$portrait: "#{$screen} and (orientation: portrait)" !default;

$xsmall-up: $screen !default;
$xsmall-only: "#{$screen} and (max-width: #{upper-bound($xsmall-range)})" !default;

$small-up: "#{$screen} and (min-width:#{lower-bound($small-range)})" !default;
$small-only: "#{$screen} and (max-width:#{upper-bound($small-range)})" !default;

$mobile-up: "#{$screen} and (min-width:#{upper-bound($small-range)})" !default;
$mobile-only: "#{$screen} and (max-width: #{upper-bound($small-range)})" !default;

$medium-up: "#{$screen} and (min-width:#{lower-bound($medium-range)})" !default;
$medium-only: "#{$screen} and (min-width:#{lower-bound($medium-range)}) and (max-width:#{upper-bound($medium-range)})" !default;

$large-up: "#{$screen} and (min-width:#{lower-bound($large-range)})" !default;
$large-only: "#{$screen} and (min-width:#{lower-bound($large-range)}) and (max-width:#{upper-bound($large-range)})" !default;

$xlarge-up: "#{$screen} and (min-width:#{lower-bound($xlarge-range)})" !default;
$xlarge-only: "#{$screen} and (min-width:#{lower-bound($xlarge-range)}) and (max-width:#{upper-bound($xlarge-range)})" !default;

$xxlarge-up: "#{$screen} and (min-width:#{lower-bound($xxlarge-range)})" !default;
$xxlarge-only: "#{$screen} and (min-width:#{lower-bound($xxlarge-range)}) and (max-width:#{upper-bound($xxlarge-range)})" !default;

$retina: (
        "#{$screen} and (-webkit-min-device-pixel-ratio: 2)",
        "#{$screen} and (min--moz-device-pixel-ratio: 2)",
        "#{$screen} and (-o-min-device-pixel-ratio: 2/1)",
        "#{$screen} and (min-device-pixel-ratio: 2)",
        "#{$screen} and (min-resolution: 192dpi)",
        "#{$screen} and (min-resolution: 2dppx)"
);


$fonts-path: "../fonts/";
$fa-font-path: "../fonts/font-awesome/" !default;
$img-path: '../images/';

// ============= FONT IMPORTS ============================
//@include font-face("love-of-thunder", "#{$fonts-path}a-love-of-thunder/a-love-of-thunder", $file-formats: eot woff2 woff svg otf);
//@include font-face("oxygen-regular", "#{$fonts-path}oxygen/oxygen-regular", $file-formats: eot woff2 woff svg otf);
//@include font-face("oxygen-light", "#{$fonts-path}oxygen/oxygen-light", $file-formats: eot woff2 woff svg otf);
//@include font-face("oxygen-bold", "#{$fonts-path}oxygen/oxygen-bold", $file-formats: eot woff2 woff svg otf);
//@include font-face("sign-painter", "#{$fonts-path}sign-painter/sign-painter", $file-formats: eot woff2 woff svg otf);
//
//$heading-font-family: "love-of-thunder";
//$body-font-family: "oxygen-regular";
//$body-font-family-light: "oxygen-light";
//$body-font-family-bold: "oxygen-bold"; 

// ================ NAVIGATION MENU VARIABLES ================
$topbar-bg-color: transparent;
$topbar-title-font-size: 0;
$topbar-margin-bottom: 0;

$topbar-menu-icon-color: $primary-color;
$topbar-menu-link-color: $topbar-menu-icon-color;

$topbar-link-font-family: $heading-font-family;
$topbar-link-font-size: rem-calc(16);
$topbar-link-bg: transparent;
$topbar-link-color: #000;
$topbar-link-color-active: #FFF;
$topbar-dropdown-bg: transparent;

$topbar-link-padding: rem-calc(24);

$topbar-link-bg-active: transparent;
$topbar-link-color-active: $primary-color;

// ===================== BREADCRUMBS VARIABLES =====================
$crumb-bg: transparent;
$crumb-side-padding: rem-calc(5);
$crumb-font-color: #000;
$crumb-slash: ">>";

// ===================== ACCORDION VARIABLES =====================
$accordion-navigation-padding: rem-calc(15 15 15 50);
$accordion-navigation-bg-color: transparent;
$accordion-navigation-font-family: $body-font-family-bold;
$accordion-navigation-font-size: rem-calc(16);
$accordion-navigation-font-color: #000;

$accordion-content-active-bg-color: $accordion-navigation-bg-color;


// ====================== FORM VARIABLES ===========================
$input-bg-color: transparent;
$input-border-color: #000;

$select-bg-color: transparent;
$select-hover-bg-color: scale-color($select-bg-color, $lightness: -3%);
$input-border-radius: em-calc(5);


// ====================== PAGINATION VARIABLES =========================




// ====================== TABS VARIABLES =========================
$tabs-navigation-padding: rem-calc(16);
$tabs-navigation-bg-color: transparent;
$tabs-navigation-active-bg-color: transparent;
$tabs-navigation-font-color: #585858;
$tabs-navigation-active-font-color: $primary-color;
$tabs-navigation-font-size: rem-calc(12);
$tabs-navigation-font-family: $body-font-family-bold;

$tabs-content-margin-bottom: rem-calc(24);


// To enable support for browsers that do not support @media queries,
// (IE <= 8, Firefox <= 3, Opera <= 9) set $mq-responsive to false
// Create a separate stylesheet served exclusively to these browsers,
// meaning @media queries will be rasterized, relying on the cascade itself
// $mq-responsive: true;

// // MEDIA BREAKPOINTS
// $mq-breakpoints: (
//   mobile: 480px,
//   tablet: 768px,
//   desktop: 992px,
//   wide: 1200px
// );

// $mq-show-breakpoints: (mobile, tablet, desktop, wide);
